# $Revision: 1.14 $, $Date: 2010/11/17 06:35:34 $
Summary:	Sony fixed bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe Sony o stałej szerokości
Name:		xorg-font-font-sony-misc
Version:	1.0.3
Release:	1
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-sony-misc-%{version}.tar.bz2
# Source0-md5:	beef61a9b0762aba8af7b736bb961f86
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sony fixed bitmap fonts in ISO-8859-1 (Latin) and JISX 0201.1976
(Japanese) encodings.

%description -l pl.UTF-8
Fonty bitmapowe Sony o stałej szerokości znaków w kodowaniach
ISO-8859-1 (łacińskim) i JISX 0201.1976 (japońskim).

%prep
%setup -q -n font-sony-misc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/misc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/misc/8x16*.pcf.gz
%{_fontsdir}/misc/12x24*.pcf.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-sony-misc.spec,v $
Revision 1.14  2010/11/17 06:35:34  qboosh
- updated to 1.0.3

Revision 1.13  2010/10/07 06:51:29  qboosh
- updated to 1.0.2

Revision 1.12  2009/10/20 05:06:22  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.11  2009/10/12 19:20:36  arekm
- up to 1.0.1

Revision 1.10  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.9  2007/04/30 17:25:40  qboosh
- informative descs
- R: font-alias as it contains some useful entries for -sony-fixed-* fonts
- release 1

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/01/04 12:11:07  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/06 09:12:55  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 15:26:48  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
